import { ScreenOrientation } from '@ionic-native/screen-orientation/ngx';
import { Component } from '@angular/core';
import { Globalization } from '@ionic-native/globalization/ngx';
import { Platform } from '@ionic/angular';
import { TranslateService } from '@ngx-translate/core';
import { AdMob } from '@capacitor-community/admob';

@Component({
  selector: 'app-root',
  templateUrl: 'app.component.html',
  styleUrls: ['app.component.scss'],
})
export class AppComponent {

  constructor(
    private screenOrientation: ScreenOrientation,
    private globalization: Globalization,
    private platform: Platform,
    private translate: TranslateService
  ) {
    this.screenOrientation.lock(this.screenOrientation.ORIENTATIONS.PORTRAIT);
    this.translate.setDefaultLang('es');
    this.iniciarApp();
  }

  iniciarApp(){

    this.platform.ready().then( () => {

      this.globalization.getPreferredLanguage().then(res => {
        console.log(res);
        
        if(res){

          if(res.value.includes('-')){
            this.translate.use(res.value.split('-')[0]);
          }else{
            this.translate.use(res.value);
          }

        }

        // Añadimos dispositivos de pruebas
        AdMob.initialize({
          testingDevices: ['aee35788-afbb-44b2-8cab-c207c9066f10', '4D18763D-8763-4348-A22A-99D7AF964616'],
          initializeForTesting: true
        });

      }).catch(e => console.error(e));

    }).catch(e => console.error(e));
  }

}
